Get a marketplace API's detail
curl --request GET \
--url https://api.parse.bot/marketplace/apis/{id}import requests
url = "https://api.parse.bot/marketplace/apis/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.parse.bot/marketplace/apis/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parse.bot/marketplace/apis/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parse.bot/marketplace/apis/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parse.bot/marketplace/apis/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parse.bot/marketplace/apis/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"source_url": "<string>",
"canonical_scraper_id": "<string>",
"is_authenticated": true,
"apis": [
{
"method": "<string>",
"endpoint_name": "<string>",
"description": "<string>",
"input_params": {},
"return_schema": {},
"initiates_session": true
}
],
"latest_version": 123,
"pinned_version": 123,
"user_status": "none",
"user_scraper_id": "<string>",
"primary_category": "<string>",
"secondary_categories": [
"<string>"
]
}Marketplace
Get a marketplace API's detail
Full detail for one marketplace listing, including its canonical_scraper_id and endpoint list. No authentication required. Use canonical_scraper_id to call the shared canonical directly: POST /scraper//.
GET
/
marketplace
/
apis
/
{id}
Get a marketplace API's detail
curl --request GET \
--url https://api.parse.bot/marketplace/apis/{id}import requests
url = "https://api.parse.bot/marketplace/apis/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.parse.bot/marketplace/apis/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parse.bot/marketplace/apis/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parse.bot/marketplace/apis/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parse.bot/marketplace/apis/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parse.bot/marketplace/apis/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"source_url": "<string>",
"canonical_scraper_id": "<string>",
"is_authenticated": true,
"apis": [
{
"method": "<string>",
"endpoint_name": "<string>",
"description": "<string>",
"input_params": {},
"return_schema": {},
"initiates_session": true
}
],
"latest_version": 123,
"pinned_version": 123,
"user_status": "none",
"user_scraper_id": "<string>",
"primary_category": "<string>",
"secondary_categories": [
"<string>"
]
}Response
Marketplace API detail
Full listing detail. additionalProperties is allowed — only the fields most useful for calling the API are documented here.
Was this page helpful?